## dumb-jump-el 0.5.3

=== Makefile ===
CASK ?= cask
EMACS ?= emacs

all: test

test: unit

unit:
	${CASK} exec ert-runner

install:
	${CASK} install

test-concurrent:
	cask
	@go run test/ert_runner.go -p ".*-ag-.*" -p ".*-rg-.*" test/dumb-jump-test.el

test-go:
	@go test ./... -v

docker-build-test-runner:
	docker build . -t jacktasia/dumb-jump-test-runner:v3 -f test/Dockerfile

docker-push-test-runner:
	docker push jacktasia/dumb-jump-test-runner:v3

test-all-in-docker:
	@bash test/run-local-in-docker.sh all

test-in-docker:
	@bash test/run-local-in-docker.sh current

## dumb-jump-el 0.5.2

=== debian/changelog ===
dumb-jump-el (0.5.2-3) unstable; urgency=medium

  * Fix autopkgtest
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 02 Aug 2019 23:02:22 +0500

dumb-jump-el (0.5.2-2) unstable; urgency=medium

  * d/control: Add ripgrep to Recommends
  * d/control: Add ripgrep as an alternative to ag in Build-Depends field
  * d/control: Declare Standards-Version 4.2.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Update Maintainer (to Debian Emacsen team)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 05 Aug 2018 13:02:06 +0500

dumb-jump-el (0.5.2-1) unstable; urgency=medium

  * d/control: Change maintainer to Debian Emacs addons team
  * d/copyright: Bump copyright years
  * New upstream version 0.5.2 (Closes: #891720)
  * Refresh patch

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 01 Mar 2018 15:03:10 +0500

dumb-jump-el (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #886528)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 7 Jan 2018 12:47:48 +0500

=== debian/control ===
Source: dumb-jump-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa,
               elpa-dash,
               elpa-el-mock,
               elpa-f,
               elpa-noflet,
               elpa-popup,
               elpa-s,
               silversearcher-ag | ripgrep
Standards-Version: 4.4.0
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no
Homepage: https://github.com/jacktasia/dumb-jump
Vcs-Browser: https://salsa.debian.org/emacsen-team/dumb-jump-el
Vcs-Git: https://salsa.debian.org/emacsen-team/dumb-jump-el.git

Package: elpa-dumb-jump
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         git
Recommends: emacs (>= 46.0),
            silversearcher-ag | ripgrep
Enhances: emacs
Description: jump to definition for multiple languages without configuration
 This package provides an Emacs "jump to definition" package with
 support for multiple programming languages that favors "just working"
 over speed or accuracy. This means minimal -- and ideally zero --
 configuration with absolutely no stored indexes (TAGS) or persistent
 background processes.
 .
 Dumb Jump performs best with The Silver Searcher `ag` or ripgrep `rg`
 (the latter is currently not available in Debian) installed.

## dumb-jump-el 0.5.3

=== debian/changelog ===
dumb-jump-el (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * Refresh patch to clean documentation
  * Drop patch to disable undercover
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Update Description (ripgrep is available in Debian)
  * d/control: Add elpa-undercover to Build-Depends
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 04 Dec 2019 19:03:54 +0500

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                elpa-noflet,
                elpa-popup,
                elpa-s,
+               elpa-undercover,
                silversearcher-ag | ripgrep
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktasia/dumb-jump
@@ -34,5 +35,5 @@
  configuration with absolutely no stored indexes (TAGS) or persistent
  background processes.
  .
- Dumb Jump performs best with The Silver Searcher `ag` or ripgrep `rg`
- (the latter is currently not available in Debian) installed.
+ Dumb Jump performs best with The Silver Searcher `ag` or ripgrep
+ `rg`.

## dumb-jump-el 0.5.4

=== Makefile ===
--- 
+++ 
@@ -29,3 +29,8 @@
 
 test-in-docker:
 	@bash test/run-local-in-docker.sh current
+
+setup:
+	@bash test/github-actions-setup.sh
+
+actions-test: install setup unit

=== debian/changelog ===
dumb-jump-el (0.5.4-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 18:59:15 +0900

dumb-jump-el (0.5.4-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:55:27 +0900

dumb-jump-el (0.5.4-3) unstable; urgency=medium

  * Disable flaky test (flaky due to native compilation) (Closes: #1052959)
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Clean Recommends
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 10 Dec 2023 11:16:19 +0500

dumb-jump-el (0.5.4-2) unstable; urgency=medium

  * Disable dumb-jump-grep-rules-not-test (Closes: #1020183)
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 08 Oct 2022 20:55:32 +0500

dumb-jump-el (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * Refresh patches
  * Add upstream metadata
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 09 May 2022 23:59:48 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-dash,
                elpa-el-mock,
@@ -13,7 +13,7 @@
                elpa-s,
                elpa-undercover,
                silversearcher-ag | ripgrep
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktasia/dumb-jump
@@ -25,7 +25,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends},
          git
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             silversearcher-ag | ripgrep
 Enhances: emacs
 Description: jump to definition for multiple languages without configuration

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_install:
	@echo skipping upstream auto_install

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dumb-jump-el-$1.tar.gz%" \
             https://github.com/jacktasia/dumb-jump/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
